### Method

# ECal ComponentPropertyBag fill_component

since: 3.34

#### Declaration [src]

    void
    e_cal_component_property_bag_fill_component (
      const ECalComponentPropertyBag* bag,
      ICalComponent* component
    )

#### Description [src]

Adds all the stored properties in the `bag` to the `component`. The function doesn’t verify whether the `component` contains the same property already.

Available since: 3.34

#### Parameters

`component`

  Type: `None`

  An `ICalComponent`.

  The data is owned by the caller of the method.